#
# Conditional build:
%bcond_without	recode	# build without recode support
#
Summary:	Extremely Naive Charset Analyser
Summary(pl):	Skrajnie naiwny analizator zestaww znakw
Name:		enca
Version:	1.7
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://trific.ath.cx/Ftp/enca/%{name}-%{version}.tar.bz2
# Source0-md5:	01dd5dbd4154c85cbf4a42d3580c517f
URL:		http://trific.ath.cx/software/enca/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	iconv
%{?with_recode:BuildRequires:	recode-devel}
Requires:	/bin/mktemp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enca is an Extremely Naive Charset Analyser. It detects character set
and encoding of text files and can also convert them to other
encodings using either a built-in converter or external libraries and
tools like libiconv, librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

This package also contains shared Enca library other programs can make
use of.

%description -l pl
Enca to Extremely Naive Charset Analyser (skrajnie naiwny analizator
zestaww znakw). Wykrywa zestaw znakw i kodowanie plikw tekstowych,
moe take konwertowa do innych kodowa przy uyciu wbudowanego
konwertera lub zewntrznych bibliotek i narzdzi takich jak libiconv,
librecode czy cstocs.

Aktualnie obsugiwane s znaki biaoruskie, bugarskie, chorwackie,
czeskie, estoskie, litewskie, otewskie, polskie, rosyjskie,
sowackie, soweskie i ukraiskie oraz niektre kodowania
wielobajtowe (gwnie warianty unikodu) niezalenie od jzyka.

Ten pakiet zawiera take bibliotek wspdzielon Enca, ktra moe by
wykorzystywana przez inne programy.

%package devel
Summary:	Header files for ENCA library
Summary(pl):	Pliki nagwkowe biblioteki ENCA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for ENCA library.

%description devel -l pl
Pliki nagwkowe biblioteki ENCA.

%package static
Summary:	Static ENCA library
Summary(pl):	Statyczna biblioteka ENCA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ENCA library.

%description static -l pl
Statyczna biblioteka ENCA.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	MKTEMP_PROG=/bin/mktemp \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/enconv.1
echo '.so enca.1' > $RPM_BUILD_ROOT%{_mandir}/man1/enconv.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/enca
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc README.devel
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/libenca

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
